Get employee categories of a business
This endpoint returns all the employee categories defined at the business level.
GET /api/v2/businesses/{businessId}/person-categories
If the data provided in the request is correct —businessId—, the response will include the list of employee categories defined within the business.
Response example
[
{
"id": "RM",
"name": "Restaurant Manager"
},
{
"id": "CT",
"name": "Crew Trainer"
},
{
"name": "Manager Trainee"
},
{
"id": "DR",
"name": "Driver"
}
]
Details
-
id: external identifier of the employee category.
-
name: name defined for the employee category.
The response will include the data defined for each category at the business level. As seen in the example, if the external identifier has not been set for a category in the system, that field will not be included in the response.
Considerations
If there are no categories for the business specified in the URL, the request will return an empty array [].
If a category does not have an external identifier defined in the system, the id field will not appear in the response.
|
The external identifier ( |
Useful links
What are employee categories?